Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565096 - gdkscreen-x11: Don't try to calculate a refresh rate when the XRRModeInfo doesn't have one [rhel-7.5.z]
Summary: gdkscreen-x11: Don't try to calculate a refresh rate when the XRRModeInfo doe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gtk3
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Debarshi Ray
QA Contact: Desktop QE
Jaroslav Klech
URL:
Whiteboard:
Depends On: 1502788
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 11:27 UTC by Oneata Mircea Teodor
Modified: 2021-06-10 15:43 UTC (History)
8 users (show)

Fixed In Version: gtk3-3.22.26-4.el7_5
Doc Type: Bug Fix
Doc Text:
Previously, certain types of the X Server program, such as Windows Exceed and xrdp, caused errors in the GTK+ library. As a consequence, GTK+ applications terminated unexpectedly when run against the affected X Servers. This update modifies GTK+ to avoid division by zero when there is no adequate refresh rate. As a result, GTK+ applications successfully start when run against the affected X Servers.
Clone Of: 1502788
Environment:
Last Closed: 2018-05-14 16:11:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 768999 0 None None None 2018-04-09 11:28:07 UTC
GNOME Bugzilla 775546 0 None None None 2018-04-09 11:28:07 UTC
Red Hat Product Errata RHBA-2018:1393 0 None None None 2018-05-14 16:11:16 UTC

Description Oneata Mircea Teodor 2018-04-09 11:27:59 UTC
This bug has been copied from bug #1502788 and has been proposed to be backported to 7.5 z-stream (EUS).

Comment 4 Jaroslav Klech 2018-04-19 09:39:56 UTC
Hi Debarshi,

Please, could you provide info to document this bug in CCFR structure (cause, consequence, fix, result)?

Thank you

Jaroslav

Comment 5 Jaroslav Klech 2018-04-23 06:26:44 UTC
Hello Debarshi,

thank you for the content. I have modified it a little bit. Could you, please, have a look at it, whether it is still correct content-wise?

Thanks

Jaroslav

Comment 6 Debarshi Ray 2018-04-23 17:37:03 UTC
(In reply to Jaroslav Klech from comment #5)
> thank you for the content. I have modified it a little bit. Could you,
> please, have a look at it, whether it is still correct content-wise?

Yes, looks good to me.

Comment 8 errata-xmlrpc 2018-05-14 16:11:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1393


Note You need to log in before you can comment on or make changes to this bug.